<!-------------------------------------------------------------- validate = true  -------------------------------------------------------->
<div *ngIf="validate === true && template_manage.pageShow === 'summary'">
  <div class="row" style="padding-left: 8px;">
    <div class="col-12">
      <p class="head-detal">ข้อมูลผลิตภัณฑ์</p>
      <div class="row">
        <div class="col-6">
          <p class="head-detal-text">ชื่อผลิตภัณฑ์</p>
        </div>
        <div class="col-6">
          <p class="head-detal-text">รหัสผลิตภัณฑ์</p>
        </div>
        <div class="col-6">
          <input readonly type="text" class="form-control" placeholder="ชื่อผลิตภัณฑ์" aria-label="ชื่อผลิตภัณฑ์"
            aria-describedby="basic-addon2" [(ngModel)]="firstStepData.productName">
        </div>
        <div class="col-6">
          <input readonly type="text" class="form-control" placeholder="รหัสผลิตภัณฑ์" aria-label="รหัสผลิตภัณฑ์"
            aria-describedby="basic-addon2" [(ngModel)]="firstStepData.productCode">
        </div>
      </div>
    </div>
  </div>

  <br>

  <!-- ======================================= กลุ่มผลิตภัณฑ์ ======================================== -->

  <div class="row" style="padding-left: 8px;">
    <div class="col-12">
      <p class="head-detal">กลุ่มผลิตภัณฑ์</p>
    </div>
    <div class="col-12 body-detal-checkbox">
      <div class="row">
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox disabled (ngModelChange)="clearCreditProductSub(); changeSaveDraft()"
                [(ngModel)]="firstStepData.productGroup.creditProduct"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.creditProduct === true,'checkbox-detail-false': firstStepData.productGroup.creditProduct === false}">
              Credit Product</div>
          </div>
        </div>
        <div class="col-12">
          <div class="subDetail" style="width: 550px;">
            <div class="d-flex flex-wrap">
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.CP_BusinessLoan"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_BusinessLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}">
                  Business Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.CP_PersonalLoan"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_PersonalLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_PersonalLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}">
                  Personal Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.CP_HousingLoan"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_HousingLoan === true,'checkbox-detail-false': (firstStepData.productGroup.CP_HousingLoan === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}">
                  Housing Loan</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.CP_Etc"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail" disabled
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.CP_Etc === true,'checkbox-detail-false': (firstStepData.productGroup.CP_Etc === false && firstStepData.productGroup.creditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.creditProduct === false)}">
                  อื่นๆ</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="inputSubDetail">
            <input readonly type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม"
              [disabled]="!(firstStepData.productGroup.CP_Etc)">
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.nonCreditProduct"></mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.nonCreditProduct === true,'checkbox-detail-false': firstStepData.productGroup.nonCreditProduct === false}">
              Non-Credit Product</div>
          </div>
        </div>
        <!-- ---------------------------------------------------------------------------------------------------------------- -->
        <div class="col-12">
          <div class="subDetail" style="width: 300px;">
            <div class="d-flex flex-wrap">
              <div class="d-flex align-items-stretch checkbox-layout checkbox-padding-right">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.NCP_nonCreditProduct"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail"
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.NCP_nonCreditProduct === true,'checkbox-detail-false': (firstStepData.productGroup.NCP_nonCreditProduct === false && firstStepData.productGroup.nonCreditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.nonCreditProduct === false)}">
                  Non-Credit Product</div>
              </div>
              <div class="d-flex align-items-stretch checkbox-layout">
                <div class="bd-highlight checkbox-box">
                  <mat-checkbox disabled [(ngModel)]="firstStepData.productGroup.NCP_Etc"></mat-checkbox>
                </div>
                <div class="bd-highlight checkbox-detail" disabled
                  [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.NCP_Etc === true,'checkbox-detail-false': (firstStepData.productGroup.NCP_Etc === false && firstStepData.productGroup.nonCreditProduct === true), 'checkbox-detail-false-disabled': (firstStepData.productGroup.CP_BusinessLoan === false && firstStepData.productGroup.nonCreditProduct === false)}">
                  อื่นๆ</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="inputSubDetail">
            <input type="text" class="form-control input-detail" placeholder="ละเอียดเพิ่มเติม" readonly
              [(ngModel)]="firstStepData.productGroup.NCP_Etc_digital">
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="firstStepData.productGroup.insourcing" disabled>
              </mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.insourcing === true,'checkbox-detail-false': firstStepData.productGroup.insourcing === false}">
              Insourcing</div>
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex align-items-stretch checkbox-layout">
            <div class="bd-highlight checkbox-box">
              <mat-checkbox [(ngModel)]="firstStepData.productGroup.outsourcing" disabled>
              </mat-checkbox>
            </div>
            <div class="bd-highlight checkbox-detail"
              [ngClass]="{'checkbox-detail-true': firstStepData.productGroup.outsourcing === true,'checkbox-detail-false': firstStepData.productGroup.outsourcing === false}">
              Outsourcing</div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <br><br>

  <!-- ======================================= ช่องทางนำเสนอบริการ ======================================== -->
  <div class="row" style="padding-left: 8px;">
    <div class="col-12">
      <p class="head-detal">ข้อมูลอื่นๆ</p>
      <div class="row pl-1">
        <div class="col-12">
          <p class="head-detal-text">ช่องทางนำเสนอบริการ</p>
        </div>
        <div class="col-12 body-detal-checkbox">
          <div class="row">
            <div class="col-md-3">
              <div class="row">
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.generalBranch"
                        (ngModelChange)="changeSaveDraft()"></mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.generalBranch === true,'checkbox-detail-false': firstStepData.serviceDelivery.generalBranch === false}"
                      (click)="firstStepData.serviceDelivery.generalBranch = !firstStepData.serviceDelivery.generalBranch; changeSaveDraft()">
                      สาขาทั่วไป</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.electronics" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.electronics === true,'checkbox-detail-false': firstStepData.serviceDelivery.electronics === false}">
                      สาขาอิเล็กทรอนิกส์</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.businessOffice" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.businessOffice === true,'checkbox-detail-false': firstStepData.serviceDelivery.businessOffice === false}">
                      สำนักงานธุรกิจ</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.CBC" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.CBC === true,'checkbox-detail-false': firstStepData.serviceDelivery.CBC === false}">
                      CBC</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.blockChain" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.blockChain === true,'checkbox-detail-false': firstStepData.serviceDelivery.blockChain === false}">
                      Blockchain</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.callCenter" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.callCenter === true,'checkbox-detail-false': firstStepData.serviceDelivery.callCenter === false}"
                      (click)="firstStepData.serviceDelivery.callCenter = !firstStepData.serviceDelivery.callCenter; changeSaveDraft()">
                      Call
                      Center</div>
                  </div>
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="firstStepData.serviceDelivery.ATM" disabled>
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.ATM === true,'checkbox-detail-false': firstStepData.serviceDelivery.ATM === false}">
                      ATM</div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="row">
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox disabled [(ngModel)]="firstStepData.serviceDelivery.digitalChannels"></mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.digitalChannels === true,'checkbox-detail-false': firstStepData.serviceDelivery.digitalChannels === false}">
                      ช่องทางดิจิทัล</div>
                  </div>
                </div>
                <div class="col-12">
                  <input type="text" class="form-control input-detail" readonly placeholder="รายละเอียดเพิ่มเติม"
                    [(ngModel)]="firstStepData.serviceDelivery.detailDigitalChannels"
                    [disabled]="!(firstStepData.serviceDelivery.digitalChannels)">
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox disabled [(ngModel)]="firstStepData.serviceDelivery.nonBank">
                      </mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.nonBank === true,'checkbox-detail-false': firstStepData.serviceDelivery.nonBank === false}">
                      ช่องทางอื่นที่ไม่ใช่ของธนาคาร
                    </div>
                  </div>
                </div>
                <div class="col-12">
                  <input type="text" class="form-control input-detail" placeholder="รายละเอียดเพิ่มเติม" readonly
                    [(ngModel)]="firstStepData.serviceDelivery.detailNonBank"
                    [disabled]="!(firstStepData.serviceDelivery.nonBank)">
                </div>
                <div class="col-12">
                  <div class="d-flex align-items-stretch checkbox-layout">
                    <div class="bd-highlight checkbox-box">
                      <mat-checkbox disabled [(ngModel)]="firstStepData.serviceDelivery.etc"></mat-checkbox>
                    </div>
                    <div class="bd-highlight checkbox-detail"
                      [ngClass]="{'checkbox-detail-true': firstStepData.serviceDelivery.etc === true,'checkbox-detail-false': firstStepData.serviceDelivery.etc === false}">
                      อื่นๆ
                    </div>
                  </div>
                </div>
                <div class="col-12">
                  <input type="text" class="form-control input-detail" placeholder="ระบุรายละเอียดเพิ่มเติม" readonly
                    [(ngModel)]="firstStepData.serviceDelivery.detailEtc" (ngModelChange)="changeSaveDraft()"
                    [disabled]="!(firstStepData.serviceDelivery.etc)">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- ======================================= วันที่คาดว่าจะประกาศใช้ ======================================== -->
  <!-- <div class="row" *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12">
      <br>
    </div>
    <div class="col-12">
      <p class="head-detal-text">วันที่คาดว่าจะประกาศใช้</p>
    </div>
    <div class="col-12 input-warpper">
      <input type="text" [(ngModel)]="poductDate" class="form-control" placeholder="วันที่ที่คาดว่าจะประกาศใช้"
        disabled />
    </div>
  </div> -->
  <div class="row"
    *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">
    <div class="col-12">
      <br>
    </div>
    <div class="col-6">
      <p class="head-detal-text">วันที่ทบทวนล่าสุด</p>
    </div>
    <div class="col-6">
      <p class="head-detal-text">วันที่ทบทวนครั้งถัดไปก่อนวันที่</p>
    </div>
    <div class="col-6 input-warpper">
      <input type="text" [(ngModel)]="startDate" class="form-control" placeholder="ไม่ได้กำหนดวันที่" disabled />
    </div>
    <div class="col-6 input-warpper">
      <app-date
        [datepicker_input]="{ role: null , dateData: firstStepData.nextReviewDate, index: null, page: 'requestStartDateToDay' }"
        (DateChange)="firstStepData.nextReviewDate = changeDateSearch($event)"></app-date>
    </div>
  </div>
</div>
<!-------------------------------------------------------------------- end validate = true ------------------------------------------------------------------------>

<!---------------------------------------------------------------------  validate = false --------------------------------------------------------------------------->
<div *ngIf="validate === false && template_manage.pageShow === 'summary'">
  <div class="row" style="padding-left: 10%; padding-right: 10%;">
    <!-- ------------------------- ชื่อผลิตภัณฑ์ --------------- -->
    <div class="col-12"><br></div>
    <div class="col-12">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">ชื่อผลิตภัณฑ์</p>
        </div>
        <div class="col-3">
          <p class="body-validate">{{firstStepData.productName}}</p>
        </div>
      </div>
    </div>
    <!-- ------------------------- ชื่อผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-3 head-validate">
          <p class="head-validate">รหัสผลิตภัณฑ์</p>
        </div>
        <div class="col-3">
          <p class="body-validate">{{firstStepData.productCode}}</p>
        </div>
      </div>
    </div>
    <!-- ------------------------- กลุ่มผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">กลุ่มผลิตภัณฑ์</p>
        </div>
        <div class="col-9">
          <div class="row" *ngIf="firstStepData.productGroup.creditProduct">
            <div class="col-4">
              <p class="body-validate">Credit Product</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <div *ngIf="firstStepData.productGroup.CP_BusinessLoan">
                <p class="body-validate">Business Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_PersonalLoan">
                <p class="body-validate">Personal Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_HousingLoan">
                <p class="body-validate">Housing Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_Etc">
                <p class="body-validate">อื่นๆ</p>
              </div>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.nonCreditProduct">
            <div class="col-4">
              <p class="body-validate">Non-Credit Product</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <div *ngIf="firstStepData.productGroup.NCP_nonCreditProduct">
                <p class="body-validate">Non-Credit Product</p>
              </div>
              <div *ngIf="firstStepData.productGroup.NCP_Etc">
                <p class="body-validate">อื่นๆ</p>
              </div>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.insourcing">
            <div class="col-4">
              <p class="body-validate">Insourcing</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <p class="body-validate">-</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.outsourcing">
            <div class="col-4">
              <p class="body-validate">Outsourcing</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <p class="body-validate">-</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- ช่องทางนำเสนอ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">ช่องทางนำเสนอ</p>
        </div>
        <div class="col-9">
          <div class="row" *ngIf="firstStepData.serviceDelivery.generalBranch">
            <div class="col-4">
              <p class="body-validate">สาขาทั่วไป</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.electronics">
            <div class="col-4">
              <p class="body-validate">สาขาอิเล็กทรอนิกส์</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.businessOffice">
            <div class="col-4">
              <p class="body-validate">สำนักงานธุรกิจ</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.CBC">
            <div class="col-4">
              <p class="body-validate">CBC</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.blockChain">
            <div class="col-4">
              <p class="body-validate">Blockchain</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.callCenter">
            <div class="col-4">
              <p class="body-validate">Call Center</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.ATM">
            <div class="col-4">
              <p class="body-validate">ATM</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.digitalChannels">
            <div class="col-4">
              <p class="body-validate">ช่องทางดิจิทัล</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailDigitalChannels }}</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.nonBank">
            <div class="col-4">
              <p class="body-validate">ช่องทางอื่นที่ไม่ใช่ของธนาคาร</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailNonBank }}</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.etc">
            <div class="col-4">
              <p class="body-validate">อื่นๆ</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailEtc }}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- วันที่คาดว่าจะประกาศใช้ --------------- -->
    <!-- <div class="col-12"
      *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">วันที่คาดว่าจะประกาศใช้</p>
        </div>
        <div class="col-3" *ngIf="firstStepData.expectedDate; else nonExpectedDate">
          <p class="body-validate">{{dateFormat(firstStepData.expectedDate)}}</p>
        </div>
        <ng-template #nonExpectedDate>
          <div class="col-3">
            <p class="body-validate"> ไม่ได้กำหนดวันที่ </p>
          </div>
        </ng-template>
      </div>
    </div> -->
    <!-- ------------------------- วันที่ทบทวนล่าสุด --------------- -->
    <div class="col-12"
      *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">วันที่ทบทวนล่าสุด</p>
        </div>
        <div class="col-3" *ngIf="firstStepData.lastReviewDate; else nonLastReviewDate">
          <p class="body-validate">{{dateFormat(firstStepData.lastReviewDate)}}</p>
        </div>
        <ng-template #nonLastReviewDate>
          <div class="col-3">
            <p class="body-validate"> ไม่ได้กำหนดวันที่ </p>
          </div>
        </ng-template>
      </div>
    </div>
    <!-- ------------------------- วันที่ทบทวนครั้งถัดไปก่อนวันที่ --------------- -->
    <div class="col-12"
      *ngIf="firstStepData.presentPurpose === 'ผลิตภัณฑ์ใหม่' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ระหว่างปี' || firstStepData.presentPurpose === 'ทบทวนผลิตภัณฑ์ประจำปี'">
      <div class="row">
        <div class="col-3">
          <p class="head-validate">วันที่ทบทวนครั้งถัดไปก่อนวันที่</p>
        </div>
        <div class="col-3" *ngIf="firstStepData.nextReviewDate; else noNextReviewDate">
          <p class="body-validate">{{dateFormat(firstStepData.nextReviewDate)}}</p>
        </div>
        <ng-template #noNextReviewDate>
          <div class="col-3">
            <p class="body-validate"> ไม่ได้กำหนดวันที่ </p>
          </div>
        </ng-template>
      </div>
    </div>

  </div>
</div>

<!--------------------------------------------------------------------- end validate = false ------------------------------------------------------------------------>

<!---------------------------------------------------------------------  validate = false --------------------------------------------------------------------------->
<div *ngIf="template_manage.pageShow === 'executive'">
  <div class="row" style="padding-left: 10%; padding-right: 10%;">
    <!-- ------------------------- วัตถุประสงค์การนำเสนอ --------------- -->
    <div class="col-12"><br></div>
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">วัตถุประสงค์การนำเสนอ</p>
        </div>
        <div class="col-8">
          <p class="body-validate">{{firstStepData.presentPurpose}}</p>
        </div>
      </div>
    </div>
    <!-- ------------------------- ชื่อผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">ชื่อผลิตภัณฑ์</p>
        </div>
        <div class="col-8">
          <p class="body-validate">{{firstStepData.productName}}</p>
        </div>
      </div>
    </div>
    <!-- ------------------------- ชื่อผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4 head-validate">
          <p class="head-validate">รหัสผลิตภัณฑ์</p>
        </div>
        <div class="col-8">
          <p class="body-validate">{{firstStepData.productCode}}</p>
        </div>
      </div>
    </div>
    <!-- ------------------------- กลุ่มผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">กลุ่มผลิตภัณฑ์</p>
        </div>
        <div class="col-8">
          <div class="row" *ngIf="firstStepData.productGroup.creditProduct">
            <div class="col-4">
              <p class="body-validate">Credit Product</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <div *ngIf="firstStepData.productGroup.CP_BusinessLoan">
                <p class="body-validate">Business Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_PersonalLoan">
                <p class="body-validate">Personal Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_HousingLoan">
                <p class="body-validate">Housing Loan</p>
              </div>
              <div *ngIf="firstStepData.productGroup.CP_Etc">
                <p class="body-validate">อื่นๆ</p>
              </div>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.nonCreditProduct">
            <div class="col-4">
              <p class="body-validate">Non-Credit Product</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <div *ngIf="firstStepData.productGroup.NCP_nonCreditProduct">
                <p class="body-validate">Non-Credit Product</p>
              </div>
              <div *ngIf="firstStepData.productGroup.NCP_Etc">
                <p class="body-validate">อื่นๆ</p>
              </div>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.insourcing">
            <div class="col-4">
              <p class="body-validate">Insourcing</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <p class="body-validate">-</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.productGroup.outsourcing">
            <div class="col-4">
              <p class="body-validate">Outsourcing</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ประเภทผลิตภัณฑ์</p>
            </div>
            <div class="col-4">
              <p class="body-validate">-</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- ช่องทางนำเสนอ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">ช่องทางนำเสนอ</p>
        </div>
        <div class="col-8">
          <div class="row" *ngIf="firstStepData.serviceDelivery.generalBranch">
            <div class="col-4">
              <p class="body-validate">สาขาทั่วไป</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.electronics">
            <div class="col-4">
              <p class="body-validate">สาขาอิเล็กทรอนิกส์</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.businessOffice">
            <div class="col-4">
              <p class="body-validate">สำนักงานธุรกิจ</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.CBC">
            <div class="col-4">
              <p class="body-validate">CBC</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.blockChain">
            <div class="col-4">
              <p class="body-validate">Blockchain</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.callCenter">
            <div class="col-4">
              <p class="body-validate">Call Center</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.ATM">
            <div class="col-4">
              <p class="body-validate">ATM</p>
            </div>
            <div class="col-4"></div>
            <div class="col-4"></div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.digitalChannels">
            <div class="col-4">
              <p class="body-validate">ช่องทางดิจิทัล</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailDigitalChannels }}</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.nonBank">
            <div class="col-4">
              <p class="body-validate">ช่องทางอื่นที่ไม่ใช่ของธนาคาร</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailNonBank }}</p>
            </div>
          </div>
          <div class="row" *ngIf="firstStepData.serviceDelivery.etc">
            <div class="col-4">
              <p class="body-validate">อื่นๆ</p>
            </div>
            <div class="col-4">
              <p class="head-validate">ชื่อช่องทาง</p>
            </div>
            <div class="col-4">
              <p class="body-validate">{{ firstStepData.serviceDelivery.detailEtc }}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- นโยบายการประกอบธุรกิจที่เกี่ยวข้องกับผลิตภัณฑ์นี้ (ถ้ามี) --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">นโยบายการประกอบธุรกิจที่เกี่ยวข้องกับผลิตภัณฑ์นี้ (ถ้ามี)</p>
        </div>
        <div class="col-8">
          <div *ngFor="let policy of infoDataTwo_policy">
            <div *ngIf="policy.flag">
              <p class="body-validate">{{policy.topic}}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- สอดคล้องกับแผนยุทธศาตร์ของธนาคารเรื่องใด --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">สอดคล้องกับแผนยุทธศาตร์ของธนาคารเรื่องใด</p>
        </div>
        <div class="col-8">
          <div *ngFor="let strategic of infoDataTwo_strategic">
            <div *ngIf="strategic.flag">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">{{strategic.topic}}</p>
                </div>
                <div class="col-4 head-validate" *ngIf="strategic.topic === 'อื่นๆ'">ระบุ</div>
                <div class="col-4 body-validate" *ngIf="strategic.topic === 'อื่นๆ'">{{infoDataTwo_strategic_detail}}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- มีการพัฒนา/ปรับปรุง/เปลี่ยนแปลงเกี่ยวกับระบบงาน --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">มีการพัฒนา/ปรับปรุง/เปลี่ยนแปลงเกี่ยวกับระบบงาน</p>
        </div>
        <div class="col-8">
          <div *ngIf="infoDataTwo_is_update === 'ใช่'">
            <p class="body-validate">มี</p>
          </div>
          <div *ngIf="infoDataTwo_is_update === 'ไม่ใช่'">
            <p class="body-validate">ไม่มี</p>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- อำนาจอนุมัติผลิตภัณฑ์ --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">อำนาจอนุมัติผลิตภัณฑ์</p>
        </div>
        <div class="col-8">
          <div *ngIf="infoDataThree_approvers.product">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">คณะกรรมการผลิตภัณฑ์</p>
              </div>
              <div class="col-4 head-validate"></div>
              <div class="col-4 body-validate"></div>
            </div>
          </div>
          <div *ngIf="infoDataThree_approvers.manage">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">คณะกรรมการจัดการ</p>
              </div>
              <div class="col-4 head-validate"></div>
              <div class="col-4 body-validate"></div>
            </div>
          </div>
          <div *ngIf="infoDataThree_approvers.other">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">อื่นๆ</p>
              </div>
              <div class="col-4 head-validate">ระบุ</div>
              <div class="col-4 body-validate">{{infoDataThree_approversOther}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- ผ่านความเห็นชอบจากคณะกรรมการชุดใด --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">ผ่านความเห็นชอบจากคณะกรรมการชุดใด</p>
        </div>
        <div class="col-8">
          <div *ngIf="infoDataThree_commenters.DSC">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">Digital Steering Committee (DSC)</p>
              </div>
              <div class="col-4 head-validate"></div>
              <div class="col-4 body-validate"></div>
            </div>
          </div>
          <div *ngIf="infoDataThree_commenters.it">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">IT Steering Committee</p>
              </div>
              <div class="col-4 head-validate"></div>
              <div class="col-4 body-validate"></div>
            </div>
          </div>
          <div *ngIf="infoDataThree_commenters.product">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">อื่นๆ</p>
              </div>
              <div class="col-4 head-validate">ระบุ</div>
              <div class="col-4 body-validate">{{infoDataThree_commentersOther}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------- การขออนุญาตจากหน่วยงานภายนอก --------------- -->
    <div class="col-12">
      <div class="row">
        <div class="col-4">
          <p class="head-validate">การขออนุญาตจากหน่วยงานภายนอก</p>
        </div>
        <div class="col-8">
          <div *ngIf="infoDataThree_outsider.no">
            <div class="row">
              <div class="col-4">
                <p class="body-validate">ไม่มี</p>
              </div>
              <div class="col-4 head-validate"></div>
              <div class="col-4 body-validate"></div>
            </div>
          </div>
          <div *ngIf="infoDataThree_outsider.yes">
            <div *ngIf="infoDataThree_outsider.outhside.BOT">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">ธปท.</p>
                </div>
                <div class="col-4 head-validate"></div>
                <div class="col-4 body-validate"></div>
              </div>
            </div>
            <div *ngIf="infoDataThree_outsider.outhside.IC">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">คปภ.</p>
                </div>
                <div class="col-4 head-validate"></div>
                <div class="col-4 body-validate"></div>
              </div>
            </div>
            <div *ngIf="infoDataThree_outsider.outhside.SEC">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">ก.ล.ต.</p>
                </div>
                <div class="col-4 head-validate"></div>
                <div class="col-4 body-validate"></div>
              </div>
            </div>
            <div *ngIf="infoDataThree_outsider.outhside.PON">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">ปปง.</p>
                </div>
                <div class="col-4 head-validate"></div>
                <div class="col-4 body-validate"></div>
              </div>
            </div>
            <div *ngIf="infoDataThree_outsider.outhside.other">
              <div class="row">
                <div class="col-4">
                  <p class="body-validate">อื่นๆ</p>
                </div>
                <div class="col-4 head-validate">ระบุ</div>
                <div class="col-4 body-validate">{{infoDataThree_outsiderDetail}}</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</div>

<!--------------------------------------------------------------------- end validate = false ------------------------------------------------------------------------>